> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List HubSpot owners

> Returns all owners (users) registered in the HubSpot portal.



## OpenAPI

````yaml /en/openapi.json get /v1/hubspot/owners
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
  - name: resources
    x-group: Arquivos e Anexos
  - name: hubspot
    x-group: HubSpot
paths:
  /v1/hubspot/owners:
    get:
      tags:
        - hubspot
      summary: List HubSpot owners
      description: Returns all owners (users) registered in the HubSpot portal.
      operationId: HubSpotController_listOwners
      parameters: []
      responses:
        '200':
          description: Owners returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOwnersResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    ListOwnersResponseDto:
      type: object
      properties:
        owners:
          description: List of HubSpot owners
          type: array
          items:
            $ref: '#/components/schemas/HubSpotOwnerDto'
      required:
        - owners
    HubSpotOwnerDto:
      type: object
      properties:
        id:
          type: string
          description: Owner ID
          example: '12345678'
        email:
          type: string
          description: Owner's email
          example: john@example.com
        firstName:
          type: string
          description: First name
          example: John
        lastName:
          type: string
          description: Last name
          example: Doe
      required:
        - id
        - email
        - firstName
        - lastName
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT authentication token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.